SmoothCurveDialog Class Reference

Smoothing options dialog. More...

`#include <SmoothCurveDialog.h>`

Inheritance diagram for SmoothCurveDialog:

## Public Slots

void | activateCurve (const QString &)
void | setGraph (Graph *g)
void | smooth ()

## Public Member Functions

| SmoothCurveDialog (int method, QWidget *parent=0, Qt::WFlags fl=0)

## Private Attributes

ColorButton * | boxColor
QDoubleSpinBox * | boxF
QComboBox * | boxName
QSpinBox * | boxOrder
QSpinBox * | boxPointsLeft
QSpinBox * | boxPointsRight
QPushButton * | btnSmooth
QPushButton * | buttonCancel
Graph * | graph
int | smooth_method

## Detailed Description

Smoothing options dialog.

## Constructor & Destructor Documentation

SmoothCurveDialog::SmoothCurveDialog | ( | int | method,
|  | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References activateCurve(), boxColor, boxF, boxName, boxOrder, boxPointsLeft, boxPointsRight, btnSmooth, buttonCancel, SmoothFilter::Lowess, SmoothFilter::SavitzkyGolay, ColorButton::setColor(), and smooth().

## Member Function Documentation

void SmoothCurveDialog::activateCurve | ( | const QString & | s | ) |

slot

References SmoothFilter::Average, boxPointsLeft, Graph::curve(), graph, and smooth_method.

Referenced by setGraph(), and SmoothCurveDialog().

void SmoothCurveDialog::setGraph | ( | Graph * | g | ) |

slot

References activateCurve(), Graph::analysableCurvesList(), boxName, and graph.

Referenced by ApplicationWindow::showSmoothDialog().

void SmoothCurveDialog::smooth | ( |  | ) |

slot

References boxColor, boxF, boxName, boxOrder, boxPointsLeft, boxPointsRight, ColorButton::color(), Graph::curve(), graph, SmoothFilter::Lowess, Filter::run(), SmoothFilter::SavitzkyGolay, Filter::setColor(), SmoothFilter::setLowessParameter(), SmoothFilter::setPolynomOrder(), SmoothFilter::setSmoothPoints(), and smooth_method.

Referenced by SmoothCurveDialog().

## Member Data Documentation

ColorButton* SmoothCurveDialog::boxColor

private

Referenced by smooth(), and SmoothCurveDialog().

QDoubleSpinBox* SmoothCurveDialog::boxF

private

Referenced by smooth(), and SmoothCurveDialog().

QComboBox* SmoothCurveDialog::boxName

private

Referenced by setGraph(), smooth(), and SmoothCurveDialog().

QSpinBox * SmoothCurveDialog::boxOrder

private

Referenced by smooth(), and SmoothCurveDialog().

QSpinBox* SmoothCurveDialog::boxPointsLeft

private

Referenced by activateCurve(), smooth(), and SmoothCurveDialog().

QSpinBox * SmoothCurveDialog::boxPointsRight

private

Referenced by smooth(), and SmoothCurveDialog().

QPushButton* SmoothCurveDialog::btnSmooth

private

Referenced by SmoothCurveDialog().

QPushButton* SmoothCurveDialog::buttonCancel

private

Referenced by SmoothCurveDialog().

Graph* SmoothCurveDialog::graph

private

Referenced by activateCurve(), setGraph(), and smooth().

int SmoothCurveDialog::smooth_method

private

Referenced by activateCurve(), and smooth().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/SmoothCurveDialog.h
- qtiplot/src/analysis/dialogs/SmoothCurveDialog.cpp